/**
 * 复制scss文件到lib目录
 */

const fs = require('fs')
const path = require('path')
const fse = require('fs-extra')

const sourceDir = path.resolve(__dirname, '../src/components')

const targetDir = path.resolve(__dirname, '../lib/components')

const hasError = false

fs.readdir(sourceDir, (err, files) => {
  if (err) {
    console.log(err)
    hasError = true
    return
  }
  files.forEach(file => {
    fs.readdir(`${sourceDir}/${file}`, (err, childFiles) => {
      if (err) {
        console.log(err)
        hasError = true
        return
      }
      childFiles.filter(childFile => childFile.endsWith('.scss')).forEach(childFile => {
        fse.copy(`${sourceDir}/${file}/${childFile}`, `${targetDir}/${file}/${childFile}`, err => {
          if (err) {
            console.log(err)
            hasError = true
          }
        })
      })
    })
  })
  if (hasError) {
    console.log('copy .scss file to lib failed!')
  } else {
    console.log('copy .scss file to lib successful!')
  }
})
